component-section(datetimestart='2021-11-23T19:45' minutesneeded='105' istopmost='true')
  div(slot='title') Algoritmeanalyse op broncode
  ul
    // TODO: consistent uitlijnen.
    li
      p.bron
        a(href='#sec_5') Algoritmeanalyse
        |  tot 
        a(href='#sec_5.3.6') 5.3.6
        | .
    li
      p.bron
        | Algoritmeanalyse 
        a(href='#sec_5.3.8') 5.3.8
        | , op 5.3.8.1 na.
    li
      p.bron
        | Algoritmeanalyse 
        a(href='#sec_5.3.9') 5.3.9
        | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["procedure-algoritmeanalyse-broncode"]')
        | Je volgt de broncodeanalyse-methode voor algoritmeanalyse.
  component-section(datetimestart='2021-11-23T19:45' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-11-25T19:50' minutesneeded='15')
    div(slot='title') Tweevoudig gelinkte lijst in Java
  component-section(datetimestart='2021-11-25T20:05' minutesneeded='15')
    div(slot='title') Dynamische rij in Rust
  component-section(datetimestart='2021-11-25T20:20' minutesneeded='10')
    div(slot='title') Stapel in Rust
  component-section(datetimestart='2021-11-25T20:30' minutesneeded='5')
    div(slot='title') Stapel in JavaScript
  component-section(datetimestart='2021-11-25T20:35' minutesneeded='5')
    div(slot='title') Wachtrij in JavaScript
  component-section(datetimestart='2021-11-23T20:50' minutesneeded='5')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2021-11-23T20:55' minutesneeded='10')
    div(slot='title')
      | Voorbeeld 
      code.lang-java
        a(href='https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Stack.html') java.util.Stack
      |  uit Java SE 17 standaardbibliotheek
    ol
      li
        p
          | Wat is de groeiorde van
          code push(item)
          | ?
      li
        p
          | Bevat deze datastructuurimplementatie voor prestatie-efficiëntie relevante implementatiedetails?
      li
        p Wat maken de implementatiedetails uit voor de groeiorde?
  component-section(datetimestart='2021-11-23T21:05' minutesneeded='15')
    div(slot='title') 🔬 Onderzoekje: implementaties datastructuren 2.0: efficiëntie
    component-exercise(together)
      p
        | In de opdracht van de eerste les heb je informatie opgezocht over implementaties van datastructuren. 
        | Met de extra kennis over en vaardigheid in algoritmeanalyse na deze les, ga je je eerder opgedane kennis aanvullen met wat in het template in de kolom ‘Complexiteitscategorie’ staat. 
        | Dat betekent dat de volgende onderzoeksdeelvraag erbij komt:
      ul
        li
          p
            | Hoe 
            em efficiënt
            |  zijn de implementaties?
      p
        strong Bronnen en tips
      ul
        li
          p
            a(href='https://www.bigocheatsheet.com/') Big-O Cheat Sheet
            |  is een naslagwerk voor de optimale groeiordes voor standaard-adt's. 
            | Deze groeiordes kan je proberen te rijmen met de informatie uit de documentatie bij de implementaties.
  component-section(datetimestart='2021-11-23T21:20' minutesneeded='10')
    div(slot='title') Afronding
